gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.FileChooserDialog

Contents

- Detail
  - Response Codes
- Class Hierarchy
- Types
- Constructors
- Orphan instances

Description

A file chooser dialog, suitable for "File/Open" or "File/Save" commands

- Module available since Gtk+ version 2.4

Synopsis

- data FileChooserDialog
- class DialogClass o => FileChooserDialogClass o
- castToFileChooserDialog :: GObjectClass obj => obj -> FileChooserDialog
- gTypeFileChooserDialog :: GType
- toFileChooserDialog :: FileChooserDialogClass o => o -> FileChooserDialog
- fileChooserDialogNew :: GlibString string => Maybe string -> Maybe Window -> FileChooserAction -> [(string, ResponseId)] -> IO FileChooserDialog
- fileChooserDialogNewWithBackend :: GlibString string => Maybe string -> Maybe Window -> FileChooserAction -> [(string, ResponseId)] -> string -> IO FileChooserDialog

# Detail

`FileChooserDialog` is a dialog box suitable for use with "File/Open" or "File/Save as" commands. This widget works by putting a `FileChooserWidget` inside a `Dialog`. It exposes the `FileChooser`, interface, so you can use all of the `FileChooser` functions on the file chooser dialog as well as those for `Dialog`.

Note that `FileChooserDialog` does not have any methods of its own. Instead, you should use the functions that work on a `FileChooser`.

## Response Codes

`FileChooserDialog` inherits from `Dialog`, so buttons that go in its action area have response codes such as `ResponseAccept` and `ResponseCancel`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Window
    | +----Dialog
    | +----FileChooserDialog

# Types

data FileChooserDialog Source #

#### Instances

Instances details

Eq FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: FileChooserDialog -> FileChooserDialog -> Bool Source # (/=) :: FileChooserDialog -> FileChooserDialog -> Bool Source #
Ord FileChooserDialog Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: FileChooserDialog -> FileChooserDialog -> Ordering Source #

(<) :: FileChooserDialog -> FileChooserDialog -> Bool Source #

(<=) :: FileChooserDialog -> FileChooserDialog -> Bool Source #

(>) :: FileChooserDialog -> FileChooserDialog -> Bool Source #

(>=) :: FileChooserDialog -> FileChooserDialog -> Bool Source #

max :: FileChooserDialog -> FileChooserDialog -> FileChooserDialog Source #

min :: FileChooserDialog -> FileChooserDialog -> FileChooserDialog Source #

GObjectClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: FileChooserDialog -> GObject Source # unsafeCastGObject :: GObject -> FileChooserDialog Source #
BinClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
DialogClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FileChooserClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Selectors.FileChooserDialog
FileChooserDialogClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WindowClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class DialogClass o => FileChooserDialogClass o Source #

#### Instances

Instances details

FileChooserDialogClass FileChooserDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToFileChooserDialog :: GObjectClass obj => obj -> FileChooserDialog Source #

gTypeFileChooserDialog :: GType Source #

toFileChooserDialog :: FileChooserDialogClass o => o -> FileChooserDialog Source #

# Constructors

fileChooserDialogNew Source #

Arguments

:: GlibString string |
=> Maybe string | Title of the dialog (or default)
-> Maybe Window | Transient parent of the dialog (or none)
-> FileChooserAction | Open or save mode for the dialog
-> [(string, ResponseId)] | Buttons and their response codes
-> IO FileChooserDialog |

Creates a new `FileChooserDialog`.

fileChooserDialogNewWithBackend Source #

Arguments

:: GlibString string |
=> Maybe string | Title of the dialog (or default)
-> Maybe Window | Transient parent of the dialog (or none)
-> FileChooserAction | Open or save mode for the dialog
-> [(string, ResponseId)] | Buttons and their response codes
-> string | The name of the filesystem backend to use
-> IO FileChooserDialog |

Creates a new `FileChooserDialog` with a specified backend. This is especially useful if you use `fileChooserSetLocalOnly` to allow non-local files and you use a more expressive vfs, such as gnome-vfs, to load files.

# Orphan instances

FileChooserClass FileChooserDialog Source # |
Instance details